CRAN Package Check Results for Package latrend

Last updated on 2021-04-20 23:47:46 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.1.2 36.76 569.77 606.53 OK
r-devel-linux-x86_64-debian-gcc 1.1.2 27.55 366.28 393.83 OK
r-devel-linux-x86_64-fedora-clang 1.1.2 705.17 OK
r-devel-linux-x86_64-fedora-gcc 1.1.2 629.30 OK
r-devel-windows-ix86+x86_64 1.1.2 47.00 383.00 430.00 OK
r-devel-windows-x86_64-gcc10-UCRT 1.1.2 ERROR
r-patched-linux-x86_64 1.1.2 45.20 468.11 513.31 WARN
r-patched-solaris-x86 1.1.2 871.70 OK
r-release-linux-x86_64 1.1.2 36.14 464.77 500.91 OK
r-release-macos-x86_64 1.1.2 NOTE
r-release-windows-ix86+x86_64 1.1.2 63.00 538.00 601.00 OK
r-oldrel-macos-x86_64 1.1.2 WARN
r-oldrel-windows-ix86+x86_64 1.1.2 52.00 415.00 467.00 OK

Check Details

Version: 1.1.2
Check: package dependencies
Result: ERROR
    Package required but not available: 'longitudinalData'
    
    Packages suggested but not available for checking: 'kml', 'akmedoids'
    
    See section 'The DESCRIPTION file' in the 'Writing R Extensions'
    manual.
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 1.1.2
Check: whether package can be installed
Result: WARN
    Found the following significant warnings:
     Rd warning: /tmp/RtmpIih6Dt/R.INSTALL796a6c365ce6/latrend/man/interface-funFEM.Rd:66: file link ‘approx’ in package ‘stats’ does not exist and so has been treated as a topic
     Rd warning: /tmp/RtmpIih6Dt/R.INSTALL796a6c365ce6/latrend/man/interface-mixAK.Rd:69: file link ‘GLMM_MCMC’ in package ‘mixAK’ does not exist and so has been treated as a topic
     Rd warning: /tmp/RtmpIih6Dt/R.INSTALL796a6c365ce6/latrend/man/lcApproxModel-class.Rd:36: file link ‘approx’ in package ‘stats’ does not exist and so has been treated as a topic
Flavor: r-patched-linux-x86_64

Version: 1.1.2
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘mixAK’
Flavors: r-release-macos-x86_64, r-oldrel-macos-x86_64

Version: 1.1.2
Check: Rd cross-references
Result: NOTE
    Package unavailable to check Rd xrefs: ‘mixAK’
Flavors: r-release-macos-x86_64, r-oldrel-macos-x86_64

Version: 1.1.2
Check: whether package can be installed
Result: WARN
    Found the following significant warnings:
     Warning: 'rgl.init' failed, running with 'rgl.useNULL = TRUE'.
Flavor: r-oldrel-macos-x86_64

Version: 1.1.2
Check: Rd files
Result: WARN
    prepare_Rd: RGL: unable to open X11 display
    prepare_Rd: 'rgl.init' failed, running with 'rgl.useNULL = TRUE'.
Flavor: r-oldrel-macos-x86_64